%global momorel 2

Summary: xyaku is an English-Japanese translation program and more under X11.
Name: xyaku 
Version: 1.4.0
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Text
Source: http://home.catv.ne.jp/pp/ginoue/software/%{name}/%{name}-%{version}.tar.gz
Patch: xyaku-1.3.0-keymap.patch
Url: http://home.catv.ne.jp/pp/ginoue/software/%{name}/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: grep edict >= 1.0-0.20020426.3m ruby
NoSource: 0 

%description
xyaku is an English-Japanese translation program and more under X11.
Furthermore, xyaku is yet another Web search engine front-end.

%prep
%setup -q 
%patch -p1

%build
./configure --prefix=/usr --with-egrep=/bin/egrep --with-edict=/usr/share/dict/edict
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}%{_datadir}/X11/app-defaults
install -m 644 Xyaku.ad %{buildroot}%{_datadir}/X11/app-defaults/Xyaku

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog INSTALL NEWS TODO
%{_bindir}/xyaku
%{_datadir}/X11/app-defaults/Xyaku
%{_libexecdir}/xyaku

%changelog
* Tue Mar 28 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.4.0-3m)
- revised installdir

* Sat Oct 18 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.4.0-2m)
- change Requires:

* Tue Jan 21 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.0-1m)
- update to 1.4.0
- change Source: and url: URI
- thanks to Tomoaki Yoshida [Momonga-devel.ja:01268]

* Sun Apr 14 2002 Hidetomo Machi <mcht@kondara.org>
- (1.3.0-8k)
- grab /usr/libexec/xyaku (%files)

* Mon Mar 18 2002 Toru Hoshina <t@kondara.org>
- (1.3.0-6k)
- should implicitely require ruby.

* Fri Jan 18 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.3.0-4k)
- follow an update of edict

* Tue Oct 30 2001 Toru Hoshina <t@kondara.org>
- (1.3.0-2k)
- version up.

* Sat Jun 24 2000 Uechi Yasumasa <uh@kondara.org>
- 1.2.1-1k
- version up to 1.2.1

* Tue Apr 04 2000 Chiaki Nakata <hanibi@kondara.org>
- change description section.

* Tue Apr 04 2000 Chiaki Nakata <hanibi@kondara.org>
- First release in Kondara MNU/Linux
